
<app-template-full-width [title]="myTitle" *ngIf="ordersCollection$ | async as collection; else loading">
  <!-- Tout le contenu ci-dessous est projeté dans le component template-full-width-->
  <app-table-light [headers]="headers">
    <tr *ngFor="let order of collection">
      <td>
        <span title="Editer">
          <app-icon-edit (click)="navigateToEdit(order.id)"></app-icon-edit>
        </span>
      </td>
      <td>{{order.typePresta}}</td>
      <td>{{order.client}}</td>
      <td>{{order.nbJours}}</td>
      <td>{{order.tjmHt}}</td>
      <td>{{order | totalTva | currency}}</td>
      <td>{{order | totalTva: true | currency}}</td>
      <td [appState]="order.state">
        <select (change)="changeState(order, $event)">
          <option *ngFor="let state of possibleStates" [value]="state" [selected]="state === order.state">{{state}}</option>
        </select>
      </td>
    </tr>
  </app-table-light>

  <app-btn label="Créer une commande" route="add"></app-btn>

  <!-- Modification du titre de la page template -->
  <button (click)="changeTitle()">Changer le titre</button>
</app-template-full-width>

<ng-template #loading>
  <h1>CHARGEMENT</h1>
</ng-template>
